[package]
name = "bevy_scene_switch"
version = "0.1.0"
edition = "2024"

[dependencies]
bevy = { version = "0.18.0", features = ["debug", "dynamic_linking", "experimental_bevy_ui_widgets", "wayland"] }

[toolchain]
channel = "nightly"

[profile.dev]
opt-level = 1

[profile.dev.package."*"]
opt-level = 3

[profile.release]
codegen-units = 1
lto = "thin"

[target.x86_64-unknown-linux-gnu]
linker = "clang"
rustflags = ["-C", "link-arg=-fuse-ld=/usr/bin/mold"]
